# OpenSC API Reference

sc_path_t
3
opensc

# sc_file_t

OpenSC path structure

## Synopsis

    #include <opensc.h>

    #define SC_MAX_PATH_SIZE		16

    typedef struct sc_path {
    	unsigned char value[SC_MAX_PATH_SIZE];
    	size_t len;

    	int index;
    	int count;

    	int type;
    } sc_path_t;

## Description

This structure describes a path object on a smart card. It contains the following members:

value

  This is the full path to the file, starting at the MF.

length

  The length of the path.

index

  Used only in PKCS15, this indicates the offset into the file.

count

  Used only in PKCS15, this indicates the number of octets in the record, starting from index above.

type

  The path type. This can be one of:

  - SC_PATH_TYPE_FILE_ID
  - SC_PATH_TYPE_DF_NAME
  - SC_PATH_TYPE_PATH
  - SC_PATH_TYPE_PATH_PROT